GFP2Element Class Reference

an element of GF(p^2) More...

## Public Member Functions

| GFP2Element (const Integer &c1, const Integer &c2)
| GFP2Element (const byte *encodedElement, unsigned int size)
void | Encode (byte *encodedElement, unsigned int size)
bool | operator== (const GFP2Element &rhs) const
bool | operator!= (const GFP2Element &rhs) const
void | swap (GFP2Element &a)

## Static Public Member Functions

static const GFP2Element & | Zero ()

## Public Attributes

Integer | c1
Integer | c2

## Detailed Description

an element of GF(p^2)

Definition at line 17 of file xtr.h.

The documentation for this class was generated from the following files:

- xtr.h
- xtr.cpp